<?php
//автор - figura
//сайт - http://f-pt.ru
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");

if($status=="uzer" || $status=="moder" || $status=="admin")
{
   
   if(empty($act)){$act="index";}
   if($act=="index")
   {
      if(isset($_GET['stavka'])){$stavka = $_GET['stavka'];}else{$stavka = "";}
      $stavka=htmlspecialchars($stavka);
      echo'<div class="razd"><B>Рулетка</B></div>';
      echo'<div class="ramk">';
      echo'<img src="ruletka/rul.JPG" alt=""><br>';  
      echo'<img src="ruletka/stol.JPG" alt=""><br>'; 
      echo'</div>';
      echo'<div class="ramk"><form name="forma" action="ruletka.php?'.SID.'" method="post">';
      echo'<INPUT TYPE="hidden" NAME="act" VALUE="go">';
      echo'Сумма ставки<br>';
      echo'<input type="text" name="stavka" value="'.$stavka.'" size="15" maxlength="50"><br>';
      echo'Ставка:<br>';
      echo'<SELECT NAME="stavka_na">';
      echo'<OPTION VALUE="0" selected>На число 0';
      echo'<OPTION VALUE="1">На число 1';
      echo'<OPTION VALUE="2">На число 2';
      echo'<OPTION VALUE="3">На число 3';
      echo'<OPTION VALUE="4">На число 4';
      echo'<OPTION VALUE="5">На число 5';
      echo'<OPTION VALUE="6">На число 6';
      echo'<OPTION VALUE="7">На число 7';
      echo'<OPTION VALUE="8">На число 8';
      echo'<OPTION VALUE="9">На число 9';
      echo'<OPTION VALUE="10">На число 10';
      echo'<OPTION VALUE="11">На число 11';
      echo'<OPTION VALUE="12">На число 12';
      echo'<OPTION VALUE="13">На число 13';
      echo'<OPTION VALUE="14">На число 14';
      echo'<OPTION VALUE="15">На число 15';
      echo'<OPTION VALUE="16">На число 16';
      echo'<OPTION VALUE="17">На число 17';
      echo'<OPTION VALUE="18">На число 18';
      echo'<OPTION VALUE="19">На число 19';
      echo'<OPTION VALUE="20">На число 20';
      echo'<OPTION VALUE="21">На число 21';
      echo'<OPTION VALUE="22">На число 22';
      echo'<OPTION VALUE="23">На число 23';
      echo'<OPTION VALUE="24">На число 24';
      echo'<OPTION VALUE="25">На число 25';
      echo'<OPTION VALUE="26">На число 26';
      echo'<OPTION VALUE="27">На число 27';
      echo'<OPTION VALUE="28">На число 28';
      echo'<OPTION VALUE="29">На число 29';
      echo'<OPTION VALUE="30">На число 30';
      echo'<OPTION VALUE="31">На число 31';
      echo'<OPTION VALUE="32">На число 32';
      echo'<OPTION VALUE="33">На число 33';
      echo'<OPTION VALUE="34">На число 34';
      echo'<OPTION VALUE="35">На число 35';
      echo'<OPTION VALUE="36">На число 36';
      echo'<OPTION VALUE="s1">Столб 1';
      echo'<OPTION VALUE="s2">Столб 2';
      echo'<OPTION VALUE="s3">Столб 3';
      echo'<OPTION VALUE="s4">Столб 4';
      echo'<OPTION VALUE="s5">Столб 5';
      echo'<OPTION VALUE="s6">Столб 6';
      echo'<OPTION VALUE="s7">Столб 7';
      echo'<OPTION VALUE="s8">Столб 8';
      echo'<OPTION VALUE="s9">Столб 9';
      echo'<OPTION VALUE="s10">Столб 10';
      echo'<OPTION VALUE="s11">Столб 11';
      echo'<OPTION VALUE="s12">Столб 12';
      echo'<OPTION VALUE="d1">Дюжина 1';
      echo'<OPTION VALUE="d2">Дюжина 2';
      echo'<OPTION VALUE="d3">Дюжина 3';
      
      echo'<OPTION VALUE="black">Черное';
      echo'<OPTION VALUE="red">Красное';
      echo'</SELECT>';
      echo'<input type="submit" name="" value="Играть">';
      echo'</form></div>';
      echo'У вас в наличии '.$rezerv20.'<br>';
      
    }
   
   if($act=="go")
   {
      if(isset($_POST['stavka'])){$stavka = $_POST['stavka'];}
      if(isset($_POST['stavka_na'])){$stavka_na = $_POST['stavka_na'];}
      if(isset($_GET['stavka'])){$stavka = $_GET['stavka'];}
      if(isset($_GET['stavka_na'])){$stavka_na = $_GET['stavka_na'];}
      $stavka=htmlspecialchars($stavka);
      $stavka_na=htmlspecialchars($stavka_na);
      
      $vip_chislo =mt_rand(0,36);
      $sum = 0;
      
      echo'<div class="razd"><B>Рулетка</B></div>';
      echo'<div class="ramk">';
      echo'<img src="ruletka/'.$vip_chislo.'.JPG" alt=""><br>';  
      echo'<img src="ruletka/stol.JPG" alt=""><br>'; 
      echo'</div>';
      echo'Выпало число '.$vip_chislo.'!<br>';
      
      
      
      
      if(!eregi("[^0-9]",$stavka) && $stavka !="")
      {
         if($rezerv20 >= $stavka)
         {
            
            if((!eregi("[^0-9]",$stavka_na)) && ($stavka_na >= 0) && ($stavka_na <= 36))
            {
               if($stavka_na == $vip_chislo)
               {
                  if($vip_chislo == 0){ $sum = $stavka * 30; }else{ $sum = $stavka * 20; }
                  
                  echo'Ваша ставка была на число '.$stavka_na.'.Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }else{echo'Ваша ставка была на число '.$stavka_na.'. Вы проиграли! <br>';}
            }elseif($stavka_na == "s1" ||
            	$stavka_na == "s2" ||
            	$stavka_na == "s3" ||
            	$stavka_na == "s4" ||
            	$stavka_na == "s5" ||
            	$stavka_na == "s6" ||
            	$stavka_na == "s7" ||
            	$stavka_na == "s8" ||
            	$stavka_na == "s9" ||
            	$stavka_na == "s10" ||
            	$stavka_na == "s11" ||
            	$stavka_na == "s12")
            {
               if(($stavka_na == "s1") && ($vip_chislo == 1 || $vip_chislo == 2 || $vip_chislo == 3))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s2") && ($vip_chislo == 4 || $vip_chislo == 5 || $vip_chislo == 6))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s3") && ($vip_chislo == 7 || $vip_chislo == 8 || $vip_chislo == 9))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s4") && ($vip_chislo == 10 || $vip_chislo == 11 || $vip_chislo == 12))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s5") && ($vip_chislo == 13 || $vip_chislo == 14 || $vip_chislo == 15))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s6") && ($vip_chislo == 16 || $vip_chislo == 17 || $vip_chislo == 18))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s7") && ($vip_chislo == 19 || $vip_chislo == 20 || $vip_chislo == 21))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s8") && ($vip_chislo == 22 || $vip_chislo == 23 || $vip_chislo == 24))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s9") && ($vip_chislo == 25 || $vip_chislo == 26 || $vip_chislo == 27))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s10") && ($vip_chislo == 28 || $vip_chislo == 29 || $vip_chislo == 30))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s11") && ($vip_chislo == 31 || $vip_chislo == 32 || $vip_chislo == 33))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "s12") && ($vip_chislo == 34 || $vip_chislo == 35 || $vip_chislo == 36))
               {
                  $sum = $stavka * 10;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }else{
                  echo'Вы проиграли!<BR>';
               }
            }elseif($stavka_na == "d1" || $stavka_na == "d2" || $stavka_na == "d3")
            {
               if(($stavka_na == "d1") && ($vip_chislo == 1 || $vip_chislo == 2 || $vip_chislo == 3||
               	                           $vip_chislo == 4 || $vip_chislo == 5 || $vip_chislo == 6||
               	                           $vip_chislo == 7 || $vip_chislo == 8 || $vip_chislo == 9||
               	                           $vip_chislo == 10 || $vip_chislo == 11 || $vip_chislo == 12))
               {
                  $sum = $stavka * 2;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "d2") && ($vip_chislo == 13 || $vip_chislo == 14 || $vip_chislo == 15||
               	                                $vip_chislo == 16 || $vip_chislo == 17 || $vip_chislo == 18||
               	                                $vip_chislo == 19 || $vip_chislo == 20 || $vip_chislo == 21||
               	                                $vip_chislo == 22 || $vip_chislo == 23 || $vip_chislo == 24))
               {
                  $sum = $stavka * 2;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "d3") && ($vip_chislo == 25 || $vip_chislo == 26 || $vip_chislo == 27||
               	                                $vip_chislo == 28 || $vip_chislo == 29 || $vip_chislo == 30||
               	                                $vip_chislo == 31 || $vip_chislo == 32 || $vip_chislo == 33||
               	                                $vip_chislo == 34 || $vip_chislo == 35 || $vip_chislo == 36))
               {
                  $sum = $stavka * 2;
                  echo'Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }else{echo'Вы проиграли!<BR>';}
            }elseif($stavka_na == "black" || $stavka_na == "red")
            {
               if(($stavka_na == "black") && ($vip_chislo == 2 || $vip_chislo == 4 || $vip_chislo == 6||
               	                           $vip_chislo == 8 || $vip_chislo == 10 || $vip_chislo == 11||
               	                           $vip_chislo == 13 || $vip_chislo == 15 || $vip_chislo == 17||
               	                           $vip_chislo == 20 || $vip_chislo == 22 || $vip_chislo == 24||
               	                           $vip_chislo == 26 || $vip_chislo == 28 || $vip_chislo == 29||
               	                           $vip_chislo == 31 || $vip_chislo == 33 || $vip_chislo == 35))
               {
                  $sum = $stavka * 1.5;
                  $sum = ceil($sum);
                  echo'Вы поставили на чёрное! Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }elseif(($stavka_na == "red") && ($vip_chislo == 1 || $vip_chislo == 3 || $vip_chislo == 5||
               	                           $vip_chislo == 7 || $vip_chislo == 9 || $vip_chislo == 12||
               	                           $vip_chislo == 14 || $vip_chislo == 16 || $vip_chislo == 18||
               	                           $vip_chislo == 19 || $vip_chislo == 21 || $vip_chislo == 23||
               	                           $vip_chislo == 25 || $vip_chislo == 27 || $vip_chislo == 30||
               	                           $vip_chislo == 32 || $vip_chislo == 34 || $vip_chislo == 36))
               {
                  $sum = $stavka * 1.5;
                  $sum = ceil($sum);
                  echo'Вы поставили на красное! Вы выйграли! Ваш выйгрышь '.$sum.'! Поздравляем!<BR>';
               }else{echo'Вы проиграли!<BR>';}
            }else{echo'Ставка не сделана!<BR>';}
            
            $rezerv20 = $rezerv20 - $stavka;
            $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
            $file_login_data = fopen("$koren_dir/data/uzer/$login.dat", "w+");
            flock ($file_login_data,LOCK_EX);
            fputs($file_login_data,$kod);
            flock ($file_login_data,LOCK_UN);
            fclose($file_login_data);
            @chmod("$koren_dir/data/uzer/$login.dat", 0666);
            
            
            if(!empty($sum))
            {
               //echo'Ваш выигрыш составил: <b>'.(int)$sum.'</b><br>';
               $rezerv20 = $rezerv20 + $sum;
               $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
               $file_login_data = fopen("$koren_dir/data/uzer/$login.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$login.dat", 0666);
            }
            echo'У вас в наличии '.$rezerv20.'<br>';
            echo'<a href="ruletka.php?act=go&amp;stavka='.$stavka.'&amp;stavka_na='.$stavka_na.'&amp;rand='.rand(111,999).'&amp;'.SID.'">Играть ещё раз</a><br>';
            echo'<a href="ruletka.php?stavka='.$stavka.'&amp;'.SID.'">Сделать другую ставку</a><br>';
            
            
            //sleep(1); //задержка 1 сек
         }else
         {
            echo'У вас не хватает монет для ставки!<br>';
         }
      }else
      {
         echo'Гг :)<br>';
      }
   }
   
   if($act=="faq")
   {
      echo'<div class="razd"><B>Рулетка</B></div>';
      echo 'Ставка на 0 - 30:1<br>';
      echo 'Ставка на Любое другое число - 20:1<br>';
      echo 'Ставка на столбец из трёх чисел - 10:1<br>';
      echo 'Ставка на дюжину из двенадцати чисел - 2:1<br>';
      echo 'Ставка на чёрный или красный цвет - 1.5:1<br>';
   }else{echo'<a href="ruletka.php?act=faq&amp;'.SID.'">Расценки</a><br>';}
   echo'<hr size="2" width="100%">';
   echo'<a href="ruletka.php?'.SID.'">К ставкам</a><br>';
   echo'<a href="index.php?'.SID.'">Игровая зона</a><br>';
}
if($status=="gost")
{
   echo'<div class="razd"><B>ОШИБКА</B></div>';
   echo'Вы не авторизированны<br>';
   echo'<a href="../pages/rega.php?'.SID.'">Регистрация</a><br>';
   echo'<a href="../pages/avtoriza.php?'.SID.'">Вход</a><br>';
}
if($status=="ban" )
{
   echo'<div class="razd"><B>ОШИБКА</B></div>';
   echo'Вам сюда нельзя<br>';
}


echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>